Summary:	Converts man pages to html
Name:		man2web
Version:	0.88
Release:	%mkrel 5
License:	GPL
Group:		Networking/WWW
URL:		http://man2web.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/man2web/%{name}-%{version}.tar.bz2
Patch:		%{name}-%{version}.patch
Requires:	man-pages groff groff-for-man
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
man2web is a program for converting man (manual) output to html on
the fly (as a CGI program) or on the command line.

Install man2web if you want to view man pages with your web
browser.

%prep

%setup -q
%patch0 -p1 -b .config

%build

%configure2_5x \
    --bindir=/var/www/cgi-bin \
    --with-distro=redhat-9 \
    --with-manpath=/usr/kerberos/man:/usr/local/man:%{_mandir}:/usr/X11R6/man:/usr/local/share/man
# anti -recheck hack
find . | xargs touch
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

mv %{buildroot}%{_sysconfdir}/%{name}.conf.default %{buildroot}%{_sysconfdir}/%{name}.conf

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}.conf
/var/www/cgi-bin/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.88-5mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Anne Nicolas <anne.nicolas@mandriva.com> 0.88-5mdv2008.0
+ Revision: 63552
- rebuild for 2008.0
- Import man2web



* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.88-4mdv2007.0
- rebuild

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 0.88-3mdk
- rebuild

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.88-2mdk
- misc spec file fixes

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.88-1mdk
- 0.88
- new configure line
- actually apply P0 this time...
- fix requires

* Tue Apr 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.87-1mdk
- initial cooker contrib
- used the provided spec file
